# class XMLRPC::Service::Interface

Class which wraps a XMLRPC::Service::Interface definition, used by XMLRPC::BasicServer#add_handler

### Public Class Methods

new(prefix, &p) click to toggle source
Calls superclass method XMLRPC::Service::BasicInterface.new

    # File lib/xmlrpc/utils.rb, line 113
    def initialize(prefix, &p)
      raise "No interface specified" if p.nil?
      super(prefix)
      instance_eval(&p)
    end

### Public Instance Methods

get_methods(obj, delim=".") click to toggle source

    # File lib/xmlrpc/utils.rb, line 119
    def get_methods(obj, delim=".")
      prefix = @prefix + delim
      @methods.collect { |name, meth, sig, help|
        [prefix + name.to_s, obj.method(meth).to_proc, sig, help]
      }
    end

### Private Instance Methods

meth(*a) click to toggle source

    # File lib/xmlrpc/utils.rb, line 128
    def meth(*a)
      add_method(*a)
    end